Making install-sh more descriptive


#1

install-she$B$,6u$K$J$C$F5W$7$$e(B(r520)e$B$G$9!#e(B

configuree$B$r;H$&4D6-$G$+$De(BBSDe$B8_49$Ne(Binstall(1)e$B$,$J$$>l9g!"e(BRbConfig::CONFIG
[‘INSTALL’]
e$B$,MxMQ$G$-$:!"3HD%%i%$%V%i%j$J$I$G:9$7;Y$($k$N$G!“Y{$M$k!”$He(B
e$B$$$&$3$H$GNI$$$s$G$7$g$&$+!#e(B

e$B$D$^$j!“e(B$INSTALLe$B$,I,MW$G!”$=$N$?$a$Ke(BAC_PROG_INSTALLe$B$,I,MW$G!"$=$N$?$a$Ke(B
install-she$B$,I,MW$H$$$&$3$H$G9g$C$F$^$9$G$7$g$&$+!#$b$7$/$O!"2?$+B>$NM}M3e(B
e$B$Ge(BAC_PROG_INSTALLe$B$,I,MW$J$s$G$7$g$&$+!#e(B

e$B$b$7A0<T$G$"$l$P<!$N$h$&$KL@3N$K5-=R$7$F$*$-$?$$$s$G$9$,!"$I$&$G$7$g$&$+!#e(B

diff --git a/install-sh b/install-sh
index e69de29…93ad001 100644
— a/install-sh
+++ b/install-sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+# Just only for using AC_PROG_INSTALL in configure.in.
+# This script is called when BSD compatible install(1) is not
available.
+
+echo “Ruby requires BSD compatible install(1) for installing
extensions.”
+exit 1


#2

Yuguie$B$G$9!#e(B

Redminee$B$KEPO?$5$l$F$*$i$:!"K:$l$5$l$i$l$F$$$k$C$]$$%H%T%C%/$J$N$G:FAw$7$^$9!#e(B
e$B$^$D$b$H$5$s!"K\7o$C$F$I$&$G$7$g$&$+!#%3%_%C%H$7$F$bNI$$$G$9$+e(B?

2009/5/5 Yugui (Yuki S.) removed_email_address@domain.invalid:


#3

e$B$^$D$b$He(B e$B$f$-$R$m$G$9e(B

In message “Re: [ruby-dev:39928] [BUG:trunk] Re: making install-sh more
descriptive”
on Sun, 27 Dec 2009 09:58:45 +0900, Yugui removed_email_address@domain.invalid writes:

|Redminee$B$KEPO?$5$l$F$*$i$:!"K:$l$5$l$i$l$F$$$k$C$]$$%H%T%C%/$J$N$G:FAw$7$^$9!#e(B
|e$B$^$D$b$H$5$s!"K\7o$C$F$I$&$G$7$g$&$+!#%3%_%C%H$7$F$bNI$$$G$9$+e(B?

e$B$$$$$s$8$c$J$$$G$7$g$&$+!#e(B


#4

e$B%A%1%C%He(B #2534 e$B$,99?7$5$l$^$7$?!#e(B (by Yuki S.)

e$B%9%F!<%?%9e(B Opene$B$+$ie(BClosede$B$KJQ99e(B
e$B?JD=e(B % 0e$B$+$ie(B100e$B$KJQ99e(B

This issue was solved with changeset r26185.
Yuki, thank you for reporting this issue.
Your contribution to Ruby is greatly appreciated.
May Ruby be with you.


http://redmine.ruby-lang.org/issues/show/2534